<template>
  <div class="thank-you">
    <p>
      Thank you for spending {{ seconds }} seconds of your lifetime in our game!
    </p>
    <p>
      Please vote on
      <a href="https://ldjam.com/events/ludum-dare/44/$153862/">ldjam.com</a> and leave
      a comment if you have any suggestions.
    </p>
    <no-ssr>
      <a :href="gameUrl">♻ Play again</a>
    </no-ssr>
  </div>
</template>

<script>
import { createNamespacedHelpers } from 'vuex'

const storeModules = {
  player: createNamespacedHelpers('player')
}

export default {
  data() {
    return {
      seconds: 0
    }
  },

  computed: {
    ...storeModules.player.mapState(['startTime']),

    gameUrl() {
      return process.browser && location.href.replace(this.$route.path, '')
    }
  },

  mounted() {
    this.intervalId = setInterval(this.updateTime, 1000)
  },

  beforeDestroy() {
    clearInterval(this.intervalId)
  },

  methods: {
    updateTime() {
      this.seconds = Math.round((Date.now() - this.startTime) / 1000)
    }
  }
}
</script>

<style>
.thank-you {
  max-width: 400px;
  margin: auto;
  padding: 32px;
  position: relative;
}

.thank-you > a {
  position: absolute;
  right: 0;
  bottom: 0;
}
</style>
